Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.runtime
Class AbstractUIEnvironment

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.ascape.runtime.RuntimeEnvironment
              org.ascape.runtime.AbstractUIEnvironment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, ScapeListener, HasName

    public abstract class AbstractUIEnvironment

extends RuntimeEnvironment

See Also:
  Serialized Form

Field Summary
`static int` | `DEBUG_RUNTIME_MODE` Symbol indicating the current runtime viewMode is setup for debug.
`static int` | `RELEASE_RUNTIME_MODE` Symbol indicating the current viewMode is setup for release.
`protected int` | `runtimeMode` Runtime viewMode; one of debug or release.

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`listeningToScape, name, scape`

Constructor Summary
`AbstractUIEnvironment()`

Method Summary
`ScapeCustomizer` | `getCustomizer()` Gets the customizer for the ModelRoot object.
`int` | `getRuntimeMode()` Returns the run time mode being used.
`abstract boolean` | `isInApplet()`
`static boolean` | `isRedirectConsole()` Checks if is redirect console.
`static boolean` | `isShowNavigator()` Checks if is show navigator.
`abstract java.lang.String` | `openDialog()`
`void` | `setCustomizer(ScapeCustomizer customizer)` Sets customizer for the ModelRoot object.
`static void` | `setRedirectConsole(boolean redirectConsole)` Sets the redirect console.
`void` | `setRuntimeMode(int _runtimeMode)` Sets the runtime to use.
`static void` | `setShowNavigator(boolean showNavigator)` Sets the show navigator.
`abstract void` | `showErrorDialog(Scape scape, java.lang.RuntimeException e)`

Methods inherited from class org.ascape.runtime.RuntimeEnvironment
`addView, addView, addViews, addViews, environmentQuiting, exit, getConsole, getEnvironmentViews, quit, removeView, removeViews, scapeAdded, setConsole`

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, getName, getScape, isGraphic, isLifeOfScape, isNotifyScapeAutomatically, notifyScapeUpdated, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeNotification, scapeRemoved, scapeSetup, scapeStarted, scapeStopped, setName, setNotifyScapeAutomatically, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEBUG_RUNTIME_MODE

    public static final int DEBUG_RUNTIME_MODE

  Symbol indicating the current runtime viewMode is setup for debug.

  See Also:
    Constant Field Values

### RELEASE_RUNTIME_MODE

    public static final int RELEASE_RUNTIME_MODE

  Symbol indicating the current viewMode is setup for release.

  See Also:
    Constant Field Values

### runtimeMode

    protected int runtimeMode

  Runtime viewMode; one of debug or release.

Constructor Detail

### AbstractUIEnvironment

    public AbstractUIEnvironment()

Method Detail

### isRedirectConsole

    public static boolean isRedirectConsole()

  Checks if is redirect console.

  Returns:
    true, if is redirect console

### setRedirectConsole

    public static void setRedirectConsole(boolean redirectConsole)

  Sets the redirect console.

  Parameters:
    `redirectConsole` - the new redirect console

### isShowNavigator

    public static boolean isShowNavigator()

  Checks if is show navigator.

  Returns:
    true, if is show navigator

### setShowNavigator

    public static void setShowNavigator(boolean showNavigator)

  Sets the show navigator.

  Parameters:
    `showNavigator` - the new show navigator

### getCustomizer

    public ScapeCustomizer getCustomizer()

  Gets the customizer for the ModelRoot object.

  Returns:
    the customizer

### setCustomizer

    public void setCustomizer(ScapeCustomizer customizer)

  Sets customizer for the ModelRoot object.

  Parameters:
    `customizer` - the customizer

### openDialog

    public abstract java.lang.String openDialog()

### getRuntimeMode

    public int getRuntimeMode()

  Returns the run time mode being used. If RELEASE_RUNTIME_MODE, Ascape will attempt to deal gracefully with any exceptions, providing a user dialog to report them. If DEBUG_RELEASE_MODE, Ascape will not trap exceptions so that normal debugging operations will not be interferred with.

  Returns:
    the runtime mode

### setRuntimeMode

    public void setRuntimeMode(int _runtimeMode)

  Sets the runtime to use. If RELEASE_RUNTIME_MODE, Ascape will attempt to deal gracefully with any exceptions, providing a user dialog to report them. If DEBUG_RELEASE_MODE, Ascape will not trap exceptions so that normal debugging operations will not be interferred with.

  Parameters:
    `_runtimeMode` - the _runtime mode

### showErrorDialog

    public abstract void showErrorDialog(Scape scape,
                                         java.lang.RuntimeException e)

### isInApplet

    public abstract boolean isInApplet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD